This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1286335 - [abrt] catfish: CatfishWindow.py:1527:perform_query:AttributeError: 'NoneType' object has no attribute 'set_mode'
[abrt] catfish: CatfishWindow.py:1527:perform_query:AttributeError: 'NoneType...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: catfish (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:8e7b4e77a9aa8641b4dfc8069b0...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-28 04:34 EST by mastaiza
Modified: 2016-11-24 09:48 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-24 09:48:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (660 bytes, text/plain)
2015-11-28 04:34 EST, mastaiza
no flags Details
File: environ (960 bytes, text/plain)
2015-11-28 04:34 EST, mastaiza
no flags Details

  None (edit)
Description mastaiza 2015-11-28 04:34:39 EST
Version-Release number of selected component:
catfish-1.3.3-1.fc23

Additional info:
reporter:       libreport-2.6.3
cmdline:        python2 /usr/share/catfish/bin/catfish.py
executable:     /usr/share/catfish/bin/catfish.py
kernel:         4.2.6-301.fc23.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
CatfishWindow.py:1527:perform_query:AttributeError: 'NoneType' object has no attribute 'set_mode'

Traceback (most recent call last):
  File "/usr/share/catfish/catfish/CatfishWindow.py", line 1527, in perform_query
    sel.set_mode(Gtk.SelectionMode.MULTIPLE)
AttributeError: 'NoneType' object has no attribute 'set_mode'

Local variables in innermost frame:
sort: <TreeModelSort object at 0x7f95282c6d20 (GtkTreeModelSort at 0x563a55bc7c40)>
show_results: False
self: <CatfishWindow object at 0x7f952b49bcd0 (CatfishWindow at 0x563a55510710)>
keywords: 'recordmydesktop'
model: <ListStore object at 0x7f95282c6cd0 (GtkListStore at 0x7f9514002c60)>
sel: None
Comment 1 mastaiza 2015-11-28 04:34:43 EST
Created attachment 1099837 [details]
File: backtrace
Comment 2 mastaiza 2015-11-28 04:34:45 EST
Created attachment 1099838 [details]
File: environ
Comment 3 Mamoru TASAKA 2015-11-28 05:16:56 EST
Would you write in detail how to reproduce this issue?
Comment 4 mastaiza 2015-11-28 08:47:06 EST
When indexing continues for a long time and the result is not I close the app, and it gives an error
Comment 5 mastaiza 2015-11-28 08:48:15 EST
This happens very rarely
Comment 6 Fedora End Of Life 2016-11-24 08:48:12 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.